Skip to main content
GET
/
nfts
/
list
NFTs List
curl --request GET \
  --url https://api.coingecko.com/api/v3/nfts/list \
  --header 'x-cg-demo-api-key: <api-key>'
[
  {
    "id": "cryptopunks",
    "contract_address": "0xb47e3cd837dDF8e4c57F05d70Ab865de6e193BBB",
    "name": "CryptoPunks",
    "asset_platform_id": "ethereum",
    "symbol": "PUNK"
  },
  {
    "id": "bored-ape-yacht-club",
    "contract_address": "0xbc4ca0eda7647a8ab7c2061c2e118a18a936f13d",
    "name": "Bored Ape Yacht Club",
    "asset_platform_id": "ethereum",
    "symbol": "BAYC"
  }
]

Notes

  • Use this endpoint to get NFT collection IDs, asset_platform_id, and contract_address for other NFT endpoints.
  • Results are paginated to 100 items per page.

SDK Examples

const response = await client.nfts.getList();

console.log(JSON.stringify(response, null, 2));

Authorizations

x-cg-demo-api-key
string
header
required

Query Parameters

order
enum<string>

Sort order of responses.

Available options:
h24_volume_usd_asc,
h24_volume_usd_desc,
h24_volume_native_asc,
h24_volume_native_desc,
floor_price_native_asc,
floor_price_native_desc,
market_cap_native_asc,
market_cap_native_desc,
market_cap_usd_asc,
market_cap_usd_desc
per_page
integer

Total results per page. Valid values: 1...250

page
integer

Page through results.

Response

200 - application/json

List of supported NFTs

id
string
required

NFT collection ID

contract_address
string
required

NFT collection contract address

name
string
required

NFT collection name

asset_platform_id
string
required

NFT collection asset platform ID

symbol
string
required

NFT collection symbol